Package: org.codehaus.groovy.grails.web.converters

## [Java] Enum CircularReferenceBehaviour

- org.codehaus.groovy.grails.web.converters.Converter.CircularReferenceBehaviour

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DEFAULT` |
    `EXCEPTION` |
    `IGNORE` |
    `INSERT_NULL` |
    `PATH` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.util.List<java.lang.String>` | `allowedValues()` Defines an Object that can convert an instance and render it to the response or a supplied writer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Enum Constant Detail

    - #### Converter.CircularReferenceBehaviour DEFAULT

    - #### Converter.CircularReferenceBehaviour EXCEPTION

    - #### Converter.CircularReferenceBehaviour IGNORE

    - #### Converter.CircularReferenceBehaviour INSERT_NULL

    - #### Converter.CircularReferenceBehaviour PATH

  - ### Method Detail

    - #### public static java.util.List<java.lang.String> allowedValues()

      Defines an Object that can convert an instance and render it to the response or a supplied writer.

      Authors:
        Siegfried Puchbauer